npm-module-boilerplate-es6

πŸ“ƒ Boilerplate for npm/node module. Write with ES6 - have compatibility with all node versions.

Showing:

Popularity

Downloads/wk

1

GitHub Stars

64

Maintenance

Last Commit

3yrs ago

Contributors

2

Package

Dependencies

0

License

MIT

Type Definitions

Tree-Shakeable

No?

Categories

Readme

Why? Build Status

πŸ“ƒ Boilerplate for npm/node module. Write with ES6 - have compatibility with all node versions.

This boilerplate is for people who want write code using all ES6 features ( and stage-2 ) but also want/need backward compatibility with old node versions.

Node version

This boilerplate uses babel-preset-env. Supported node version can be defined in .babelrc.

Features

Commands

  • npm run clean - Remove lib/ directory
  • npm test - Run tests. Tests can be written with ES6 (WOW!)
  • npm test:watch - You can even re-run tests on file changes!
  • npm run cover - Yes. You can even cover ES6 code.
  • npm run lint - We recommend using airbnb-config. It's fantastic.
  • npm run test:examples - We recommend writing examples on pure JS for better understanding module usage.
  • npm run build - Do some magic with ES6 to create ES5 code.
  • npm run prepublish - Hook for npm. Do all the checks before publishing you module.

Installation

Just clone this repo and remove .git folder.

Rate & Review

Great Documentation0
Easy to Use0
Performant0
Highly Customizable0
Bleeding Edge0
Responsive Maintainers0
Poor Documentation0
Hard to Use0
Slow0
Buggy0
Abandoned0
Unwelcoming Community0
100